Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
IBackup Members
IBackup Interface Methods See Also Send Feedback

The IBackup type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Close | Called when ending a backup and closing a backup target.
| Open | Called when a target location is opened during a backup. This method should do whatever is necessary to prepare the backup destination for writing the data.
| Write | Called when writing data during a backup.

# See Also

IBackup Interface
BerkeleyDB Namespace